# Get Operating Hours

Operating hours GET API is used to get a list of operating hours set by the user.

| Parameter         | Value                                                        |
| ----------------- | ------------------------------------------------------------ |
| **Path**          | <https://app.acquire.io/api/account/setting/operating-hours> |
| **Method**        | POST                                                         |
| **Authorization** | Bearer \[YOUR\_API\_AUTH\_TOKEN]                             |

**Response JSON**

```javascript
{
    "success": true,
    "error": null,
    "data": [
        {
            "working_day": "thu",
            "working_from_time": "06:00",
            "working_to_time": "20:00"
        },
        {
            "working_day": "thu",
            "working_from_time": "06:00",
            "working_to_time": "20:00"
        },
        {
            "working_day": "thu",
            "working_from_time": "06:00",
            "working_to_time": "20:00"
        },
        {
            "working_day": "fri",
            "working_from_time": "06:00",
            "working_to_time": "20:00"
        },
        {
            "working_day": "fri",
            "working_from_time": "06:00",
            "working_to_time": "20:00"
        },
        {
            "working_day": "sat",
            "working_from_time": "06:00",
            "working_to_time": "20:00"
        },
        {
            "working_day": "sat",
            "working_from_time": "06:00",
            "working_to_time": "20:00"
        }
    ]
}
```

**Sample Code**

{% tabs %}
{% tab title="PHP" %}

```javascript


```

{% endtab %}

{% tab title="cURL" %}

```javascript
curl -X GET \
  https://app.acquire.io/api/account/setting/operating-hours \
  -H 'Authorization: Bearer [API_TOKEN]' \
  -H 'Content-Type: application/json' \
```

{% endtab %}

{% tab title="jQuery" %}

```javascript
var settings = {
  "async": true,
  "crossDomain": true,
  "url": "https://app.acquire.io/api/account/setting/operating-hours",
  "method": "GET",
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer [API_TOKEN]",
  },
  "processData": false,
  "data": ""
}

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endtab %}

{% tab title="Nodejs" %}

```javascript
var request = require("request");

var options = { method: 'GET',
  url: 'https://app.acquire.io/api/account/setting/operating-hours',
  headers: 
   { Authorization: 'Bearer [API_TOKEN]',
     'Content-Type': 'application/json' } };

request(options, function (error, response, body) {
  if (error) throw new Error(error);

  console.log(body);
});

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/master/rest-apis/operating-hours/get-operating-hours.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
